stages:
  data:
    cmd: python split_data.py
    deps:
    - split_data.py
    - train
    outs:
    - csv/train.csv
    - csv/val.csv
  training:
    cmd: python trainer.py
    deps:
    - csv/train.csv
    - csv/val.csv
    - imgaug_transform.py
    - trainer.py
    outs:
    - ./model/hair.pth
  evaluate:
    cmd: python evaluate.py
    deps:
    - ./model/hair.pth
    - csv/train.csv
    - csv/val.csv
    - evaluate.py
    outs:
    - ./log/eval.txt
